Skip to main content
GET
/
contacts
/
{contactId}
Get contact
curl --request GET \
  --url https://api.getarbol.com/v1/contacts/{contactId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getarbol.com/v1/contacts/{contactId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getarbol.com/v1/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "givenName": "<string>",
  "familyName": "<string>",
  "displayName": "<string>",
  "contactPoints": [
    {
      "id": "<string>",
      "value": "<string>",
      "label": "<string>",
      "isPrimary": true,
      "isVerified": true
    }
  ],
  "addresses": [
    {
      "id": "<string>",
      "streetAddress": "<string>",
      "addressLocality": "<string>",
      "addressRegion": "<string>",
      "postalCode": "<string>",
      "addressCountry": "<string>",
      "isPrimary": true
    }
  ],
  "aiSummary": "<string>",
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Use your API key from the Arbol dashboard. Go to Settings > API Keys to generate one.

Path Parameters

contactId
string
required

Contact ID (cnt_ prefix)

Response

Contact details

id
string
givenName
string
familyName
string
displayName
string
contactPoints
object[]
addresses
object[]
aiSummary
string | null
metadata
object
createdAt
string<date-time>
updatedAt
string<date-time>